Skip to main content
GET
/
terminals
/
{id}
Get a terminal using the id
curl --request GET \
  --url https://api.terminal49.com/v2/terminals/{id} \
  --header 'Authorization: <api-key>'
{
  "data": {
    "relationships": {
      "port": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      }
    },
    "attributes": {
      "name": "<string>",
      "nickname": "<string>",
      "firms_code": "<string>",
      "smdg_code": "<string>",
      "bic_facility_code": "<string>",
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "state_abbr": "<string>",
      "zip": "<string>",
      "country": "<string>"
    },
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://terminal49-codex-docs-audit-diataxis-skill.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

id
string
required

Response

200 - application/json

OK

data
Terminal model · object